Page MenuHomePhabricator

lldb fix ARM64 register access
ClosedPublic

Authored by pawelo on Sep 6 2014, 1:36 PM.

Details

Reviewers
tfiala
Summary

Apparently, PEEKUSER/POKEUSER is something x86 specific, so I had to rework it for AArch64. This fixes assertion that occurs whenever lldb started on AArch64 device tried to read PC register (or any other register)

Diff Detail

Event Timeline

pawelo updated this revision to Diff 13371.Sep 6 2014, 1:36 PM
pawelo retitled this revision from to lldb fix ARM64 register access.
pawelo updated this object.
pawelo edited the test plan for this revision. (Show Details)
pawelo set the repository for this revision to rL LLVM.
pawelo added a subscriber: Unknown Object (MLST).
pawelo updated this object.Sep 6 2014, 1:38 PM
pawelo added a comment.Sep 7 2014, 6:06 AM

Seems like in my comment to this patch I went too far with the last
statement on llgs - I was refering to the code I'm working on and for a
moment I've forgotten that it's something not complete and not published
yet.

tfiala added a subscriber: tfiala.Sep 8 2014, 8:55 AM

Hey Paul,

The change looks fine.

Minor formatting nit. Could you adjust your bracing style to match the rest of the code, though? You can either filter it through the clang formatter (there was a thread on how to do that within the last 2 - 3 weeks on lldb-dev or lldb-commits) or adjust the bits I list below. The only bits I'm really noticing are related to else and curly brace starting position.

#1.

else {

would be:
else
{

#2:

} else
{

would be
}
else
{
}

Thanks!

tfiala added a comment.Sep 8 2014, 8:55 AM

Hey Paul,

The change looks fine.

Minor formatting nit. Could you adjust your bracing style to match the rest of the code, though? You can either filter it through the clang formatter (there was a thread on how to do that within the last 2 - 3 weeks on lldb-dev or lldb-commits) or adjust the bits I list below. The only bits I'm really noticing are related to else and curly brace starting position.

#1.

else {

would be:
else
{

#2:

} else
{

would be
}
else
{
}

Thanks!

pawelo updated this revision to Diff 13615.Sep 11 2014, 11:44 PM
pawelo set the repository for this revision to rL LLVM.

fixed 'else' formatting

Thanks, Paul. Having a look at this now.

tfiala accepted this revision.Sep 12 2014, 10:05 AM
tfiala added a reviewer: tfiala.
This revision is now accepted and ready to land.Sep 12 2014, 10:05 AM
tfiala closed this revision.Sep 12 2014, 10:07 AM

svn commit
Sending source/Plugins/Process/Linux/ProcessMonitor.cpp
Transmitting file data .
Committed revision 217691.